BCHARGE(1)

NAME
bcharge - program to set BlackBerry handhelds to 500mA

SYNOPSIS
bcharge

DESCRIPTION

bcharge is a program that sends a special handshake to all BlackBerry devices it finds on the USB bus. This handshake causes the device to reset itself, and then request 500mA instead of the usual 100mA. This allows proper charging on Linux.

It is safe to run this command multiple times, as it only changes devices that are not already set to 500mA.

OPTIONS

-o  For Blackberry Pearl devices, using this switch causes bcharge to set the Product ID to 0001. Otherwise, the default is to use Product ID 0004. When the Pearl is in 0004 mode, two USB interfaces are presented: one for database access and one for mass storage. In 0001 mode, only the database access is available. Before bcharge is run, the Pearl shows up with a Product ID of 0006, which only gives mass storage functionality. You must run bcharge for the Pearl before using btool.

-d  Again, this switch is for the Blackberry Pearl to switch it back to 0004 dual mode after having run bcharge with the -o option. Since a Pearl in mode 0001 is practically indistinguishable from a classic Blackberry, the -d switch is needed to tell bcharge that you really are working with a Pearl.

-h  Help summary.

-p devpath
    If your system runs a kernel with CONFIG_USB_SUSPEND enabled (some Ubuntu kernels have this turned on, as well as some Fedora 7 kernels), then you also need to adjust the suspend state to avoid going into power saving mode. This option is used when run from udev, using a rule such as: BUS=="usb", SUBSYSTEM=="usb_device", ACTION=="add", SYSFS{idVendor}=="0fca", SYSFS{idProduct}=="0001", SYMLINK+="bb-%k", GROUP="plugdev", MODE="0660", RUN="/usr/sbin/bcharge -p %p" When using this option, you will almost always need to be root.

-s path
    Specify the mount point for the sysfs filesystem. On most systems this is mounted at /sys which is the default.

AUTHOR
bcharge and this manual page were written by Chris Frey <cdfrey@foursquare.net> for the Barry project.

http://www.netdirect.ca/software/packages/barry/index.php